Bug 1379080

Summary: std_exception.h contains bad include
Product: [Fedora] Fedora Reporter: NSLW <lukasz.wojnilowicz>
Component: kf5-akonadi-serverAssignee: Rex Dieter <rdieter>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 24CC: kde-sig, me, rdieter
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: kf5-akonadi-server-16.08.1-2.fc24 kf5-akonadi-server-16.08.1-2.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-29 00:55:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description NSLW 2016-09-24 17:50:45 UTC
Description of problem:
/usr/include/KF5/AkonadiCore/std_exception.h contains
#include "/usr/include/c++/6.1.1/exception"
but should contain
#include "/usr/include/c++/6.2.1/exception"
as
#include "/usr/include/c++/6.1.1/exception"
doesn't exist.

Version-Release number of selected component (if applicable):
16.08.1-1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:
Failure at my compilation with gcc.

Expected results:
No failure at my compilation with gcc.


Additional info:

Comment 1 Rex Dieter 2016-09-25 13:29:41 UTC
%changelog
* Sun Sep 25 2016 Rex Dieter <rdieter> - 16.08.1-2
- drop hack to workaround issue(s) with case-insensitive filesystems (#1379080)

Comment 2 Rex Dieter 2016-09-26 13:45:00 UTC
update submitted,
https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c5156c1c1

(and buildroot override, in case anyone tries builds in fedora's koji buildsystem before this update goes stable)

Comment 3 Fedora Update System 2016-09-27 06:21:37 UTC
kf5-akonadi-server-16.08.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c5156c1c1

Comment 4 Fedora Update System 2016-09-27 07:22:30 UTC
kf5-akonadi-server-16.08.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-26e5c04f37

Comment 5 Fedora Update System 2016-09-29 00:55:39 UTC
kf5-akonadi-server-16.08.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-10-09 02:51:53 UTC
kf5-akonadi-server-16.08.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.